About Virtual Magnifying Glass for Windows

Starting Magnifying Glass

Magnifying Glass may be started from its own icon like any other Windows program.

The program shows a magnifying glass lens that follows mouse movements. You can move the lens around the screen to view magnification of any screen area. To close the lens, click left mouse button (or press Alt+F4).

Files

File_id.diz | Short description of the program
History.txt | Summary of the development of Magnifying Glass
License.txt | License agreement. By using Magnifying Glass you acknowledge the terms and conditions stated in this file.
Magnifying Glass.chm | Magnifying Glass help file
Magnifying Glass.exe | Magnifying Glass executable file

Magnifying Glass menu

Right click Magnifying Glass taskbar icon to open Magnifying Glass menu.

Show Magnifying Glass... | Shows the Magnifying Glass lens. You can also activate the lens by just clicking the taskbar icon with left mouse button.
Magnification | Opens sub-menu where you can select magnification level to be used when lens is activated. You can also change the magnification by pressing [+] or [-] key when Magnifying Glass lens is visible.
Zoom In | Increments magnification level. You can also change the magnification by pressing [+] or [-] key when Magnifying Glass lens is visible.
Zoom Out | Decrements magnification level. You can also change the magnification by pressing [+] or [-] key when Magnifying Glass lens is visible.
Help... | Opens this help system
About Magnifying Glass... | Shows version information
Start Magnifying Glass when you log on | When this is selected, Magnifying Glass icon is added to taskbar automatically when you log on. Magnifying Glass remains minimized until you select Show Magnifying Glass from menu or click the icon with left mouse button.
Cancel | Closes the menu
Exit | Removes taskbar icon and closes Magnifying Glass application


About Virtual Magnifying Glass for Windows

Troubleshooting

Start Magnifying Glass when you log on selection is disabled

Access to modify windows registry is denied. Contact system administrator

Start Magnifying Glass when you log on is selected, but Magnifying Glass icon does not appear to taskbar when you log on.

You may have renamed or moved the Magnifying Glass executable file. Remove the selection, Exit Magnifying Glass, Run it again and enable the selection.

Uninstallation of Magnifying Glass fails.

You need to exit Magnifying Glass before uninstalling. Right click Magnifying Glass taskbar icon and select Exit.


About Virtual Magnifying Glass for Windows

Magnifying Glass is created with C/C++ programming languages using Win32 API. Magnifying Glass is a true 32-bit Windows application that runs on all of Microsoft's 32-bit platforms: Windows 95, 98, NT and 2000.

Version

Program name: Magnifying Glass
Full name: Virtual Magnifying Glass for Windows

Version: 1.50f
Release date: January 25th 2000
Release type: Freeware for non-commercial use
(see license.txt for further details)

Application type: Screen magnifier

Credits

Programming and graphics by Harri Pyy 1998 - 2000

Special thanks to

Commercial version client
Jim Levine for finding memory waste bug
Vivianne Lechtman for encouraging feedback
Teemu Lehtinen for beta testing (Maybe I'll one day find time to finish WinCounter;)
All other friends of mine

Copyright

Copyright © Harri Pyy 1998 - 2000


History

Version History of Virtual Magnifying Glass for Windows
=======================================================

This is version 1.50f of Virtual Magnifying Glass for Windows

Virtual Magnifying Glass for Windows 1.50f (25-Jan-2000)
------------------------------------------

* Bugfixed version released as freeware for non-commercial use

Virtual Magnifying Glass for Windows 1.50 (25-Jan-2000)
-----------------------------------------

* Menu contents changed, couple new menu features added
* Help file upgraded to html help (Windows 98, 2000 or IE4+ required to view html help)
* Compressed executable
* Windows 2000 compatibility tested

Virtual Magnifying Glass for Windows 1.20 (27-Aug-1999)
-----------------------------------------

* In August 1999 a software company expressed their wish to release Magnifying
Glass as part of their product so I wrote a commercial version with bugfixes
* Memory waste bug fixed (program did not release memory when the lens was deactivated and after many activations and deactivations memory waste became remarkable)

Virtual Magnifying Glass for Windows 1.01 (25-Jan-1999)
-----------------------------------------

* Based on the idea of the earlier experimental program I started making Virtual Magnifying Glass for Windows in December 1999
* The magnification process itself was quite easy to program, it required only couple of Windows API function calls, and I got it made in couple of days.
* The next step was to optimize the drawing (huh.. that was really required, the first version was SLOW)
* After the foundation was ready, I only needed to build a nice application on it.

MGlass (Magnifying Glass for Microsoft Windows) (22-Jul-1998)
-----------------------------------------------

* Initial realization of the idea, 269 lines of code
* Plain outlook
* Never released


License

Magnifying Glass (Virtual Magnifying Glass for Windows)
Version 1.50f, released January 25th 2000
Copyright © 1998 - 2000 Harri Pyy
All Rights Reserved
_________________________________________________________________

LICENSE AGREEMENT

You should carefully read the following terms and conditions before using this software. Your use of this software indicates your acceptance of this license agreement and warranty.

GRANT OF LICENSE
This version of Magnifying Glass is distributed as "copyrighted freeware" for non-commercial use. You have royalty-free right to use and distribute an unlimited number
of copies of Magnifying Glass, provided that
a) such copies are not distributed for profit
b) Magnifying Glass is not modified, and
c) each copy of Magnifying Glass is a complete copy, including all copyright and trademark notices
d) Magnifying Glass is not distributed as part of commercial product
e) Magnifying Glass is not used in a business, commercial, government, or institutional environment except for evaluation purposes.
If you are interested in commercial use or distribution of Magnifying Glass, please contact author by e-mail: magnifier@come.to

LIMITED WARRANTY

NO WARRANTIES
Magnifying Glass and any related documentation is provided "as is" without warranty of any kind, either express or implied, including, without limitation, the implied warranties or merchantability, fitness for a particular purpose, or noninfringement. THE ENTIRE RISK ARISING OUT OF USE OR PERFORMANCE OF MAGNIFYING GLASS REMAINS WITH YOU!

NO LIABILITY FOR CONSEQUENTIAL DAMAGES
In no event shall Harri Pyy be liable for any damages whatsoever (including, without limitation, damages for loss of business profit, business interruption, loss of business information, or any other pecuniary loss) arising out of the use or inability to use this product.

OTHER RESTRICTIONS
Magnifying Glass is owned by Harri Pyy and is protected by copyright law. You may not reverse engineer, decompile, disassemble or modify Magnifying Glass.

ACKNOWLEDGMENT
BY USING MAGNIFYING GLASS YOU ACKNOWLEDGE THAT YOU HAVE READ THIS LIMITED WARRANTY, UNDERSTAND IT, AND AGREE TO BE BOUND BY ITS' TERMS AND CONDITIONS. YOU ALSO AGREE THAT THE LIMITED WARRANTY IS THE COMPLETE AND EXCLUSIVE STATEMENT OF AGREEMENT BETWEEN THE PARTIES AND SUPERSEDE ALL PROPOSALS OR PRIOR AGREEMENTS, ORAL OR WRITTEN, AND ANY OTHER COMMUNICATIONS BETWEEN THE PARTIES RELATING TO THE SUBJECT MATTER OF THE LIMITED WARRANTY.